cpio_tests.sh: Skip test on unsupported -o flag

-o flag is on BusyBox optional

Signed-off-by: Petr Vorel <pvorel@suse.cz>
diff --git a/testcases/commands/cpio/cpio_tests.sh b/testcases/commands/cpio/cpio_tests.sh
index 7e99633..f2a9bd0 100755
--- a/testcases/commands/cpio/cpio_tests.sh
+++ b/testcases/commands/cpio/cpio_tests.sh
@@ -1,5 +1,6 @@
 #!/bin/sh
 # SPDX-License-Identifier: GPL-2.0-or-later
+# Copyright (c) Linux Test Project, 2003-2021
 #
 # Test basic functionality of cpio command
 
@@ -12,6 +13,10 @@
 
 setup()
 {
+	if ! cpio 2>&1 | grep -i -q -- '-o\sCreate'; then
+		tst_brk TCONF "-o flag not supported"
+	fi
+
 	ARCHIVE_FORMAT=
 
 	if cpio 2>&1 | grep -q 'BusyBox'; then